Subject: Re: bug#13636: 24.3.50; tramp+ftp broken

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 08 Feb 2013 13:36:50 +0100

Hi Michael, sorry for late reply.

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Hi Michael,
>
> Hi Thierry,
>
>> It is working with your patch but only when I eval manually the function
>> you patched.
>
> vc-hooks.el is dumped into Emacs. You must run make, and restart Emacs.
Yes I had to bootstrap, for some reasons make was not enough.

>> Also maybe equality should be tested here with file-equal-p ?
>
> Maybe. But `file-equal-p' calls `file-truename'. I suspect performance
> matters, that's why `buffer-file-truename' is used. So it might be a
> problem to use `file-equal-p' here.
Ok.

> I've committed my patch to the trunk, closing this bug.
Ok working fine now,

thanks.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997